# Uses of Interface
org.apache.solr.client.solrj.impl.TimeSource

Packages that use TimeSource
Package
Description
org.apache.solr.client.solrj.impl
Implementations of some client API classes, and their friends.

## Uses of TimeSource in org.apache.solr.client.solrj.impl

Fields in org.apache.solr.client.solrj.impl declared as TimeSource
Modifier and Type
Field
Description
`static final TimeSource`
TimeSource.`SYSTEM`
Default implementation that uses System.nanoTime().
Constructors in org.apache.solr.client.solrj.impl with parameters of type TimeSource
Modifier
Constructor
Description
``
`StallDetection(long stallTimeMillis, IntSupplier queueSizeSupplier, TimeSource timeSource)`
Creates a new StallDetection instance with a custom time source.